package com.scpyun.platform.jilinsscgsdp.bean.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.scpyun.base.bean.User;

/**
 * @Author liu
 * @Date 2024/11/25 16:35
 * @PackageName:com.scpyun.platform.jilinsscgsdp.bean.entity
 * @ClassName: JlHomicideCase
 * @Version 1.0
 */
public class JlHomicideCase {
    @ExcelProperty(value = "案发所属市")
    private String city;
    @ExcelProperty(value = "案发所属区")
    private String area;
    @ExcelProperty(value = "案发所属街道")
    private String street;
    @ExcelProperty(value = "案发所属社区")
    private String community;
    @ExcelProperty(value = "地区类别")
    private String areaType;
    @ExcelProperty(value = "案发日期")
    private String incidentTime;
    @ExcelProperty(value = "案情简要")
    private String caseDescription;
    @ExcelProperty(value = "嫌疑人姓名")
    private String suspectName;
    @ExcelProperty(value = "是否重点人员")
    private String isKeyPersonnel;
    @ExcelProperty(value = "嫌疑人身份证号")
    private String suspectCardno;
    @ExcelProperty(value = "教育程度")
    private String eduLevel;
    @ExcelProperty(value = "职业情况")
    private String careerSituation;
    @ExcelProperty(value = "犯罪嫌疑人数")
    private String involvedNumber;
    @ExcelProperty(value = "死亡人数")
    private String deadNumber;

    private String cityId;
    private String cityName;

    private  String areaId;
    private String areaName;
    private String caseNumber;
    private String reasonIncident;

    private User _user;

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }

    public String getCaseNumber() {
        return caseNumber;
    }

    public void setCaseNumber(String caseNumber) {
        this.caseNumber = caseNumber;
    }

    public String getReasonIncident() {
        return reasonIncident;
    }

    public void setReasonIncident(String reasonIncident) {
        this.reasonIncident = reasonIncident;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    private String count;

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    /**
     * 属于类别（例：一杀一人、 一杀两人）
     */
    private String deadType;

    public String getDeadType() {
        return deadType;
    }

    public void setDeadType(String deadType) {
        this.deadType = deadType;
    }

    public String getDeadNumber() {
        return deadNumber;
    }

    public void setDeadNumber(String deadNumber) {
        this.deadNumber = deadNumber;
    }

    public String getInvolvedNumber() {
        return involvedNumber;
    }

    public void setInvolvedNumber(String involvedNumber) {
        this.involvedNumber = involvedNumber;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getCommunity() {
        return community;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public String getAreaType() {
        return areaType;
    }

    public void setAreaType(String areaType) {
        this.areaType = areaType;
    }

    public String getIncidentTime() {
        return incidentTime;
    }

    public void setIncidentTime(String incidentTime) {
        this.incidentTime = incidentTime;
    }

    public String getCaseDescription() {
        return caseDescription;
    }

    public void setCaseDescription(String caseDescription) {
        this.caseDescription = caseDescription;
    }

    public String getSuspectName() {
        return suspectName;
    }

    public void setSuspectName(String suspectName) {
        this.suspectName = suspectName;
    }

    public String getIsKeyPersonnel() {
        return isKeyPersonnel;
    }

    public void setIsKeyPersonnel(String isKeyPersonnel) {
        this.isKeyPersonnel = isKeyPersonnel;
    }

    public String getSuspectCardno() {
        return suspectCardno;
    }

    public void setSuspectCardno(String suspectCardno) {
        this.suspectCardno = suspectCardno;
    }

    public String getEduLevel() {
        return eduLevel;
    }

    public void setEduLevel(String eduLevel) {
        this.eduLevel = eduLevel;
    }

    public String getCareerSituation() {
        return careerSituation;
    }

    public void setCareerSituation(String careerSituation) {
        this.careerSituation = careerSituation;
    }

    @Override
    public String toString() {
        return "JlHomicideCase{" +
                "city='" + city + '\'' +
                ", area='" + area + '\'' +
                ", street='" + street + '\'' +
                ", community='" + community + '\'' +
                ", areaType='" + areaType + '\'' +
                ", incidentTime='" + incidentTime + '\'' +
                ", caseDescription='" + caseDescription + '\'' +
                ", suspectName='" + suspectName + '\'' +
                ", isKeyPersonnel='" + isKeyPersonnel + '\'' +
                ", suspectCardno='" + suspectCardno + '\'' +
                ", eduLevel='" + eduLevel + '\'' +
                ", careerSituation='" + careerSituation + '\'' +
                '}';
    }


}
